# Internals

Documentation for `JunctionTrees.jl`'s internals.

## Index

```@index
Pages = ["internals.md"]
```

## Factors

```@autodocs
Modules = [JunctionTrees]
Pages = ["factors.jl"]
Public = false
```

## Junction tree algorithm

```@autodocs
Modules = [JunctionTrees]
Pages = ["junction_tree_algorithm.jl"]
Public = false
```

### Graphical transformation

```@autodocs
Modules = [JunctionTrees]
Pages = ["graphical_transformation.jl"]
Public = false
```

### Initialization

```@autodocs
Modules = [JunctionTrees]
Pages = ["initialization.jl"]
Public = false
```

### Observation entry

```@autodocs
Modules = [JunctionTrees]
Pages = ["observation_entry.jl"]
Public = false
```

### Propagation

```@autodocs
Modules = [JunctionTrees]
Pages = ["propagation.jl"]
Public = false
```

### Marginalization

```@autodocs
Modules = [JunctionTrees]
Pages = ["marginalization.jl"]
Public = false
```

### Normalization

```@autodocs
Modules = [JunctionTrees]
Pages = ["normalization.jl"]
Public = false
```

## Partial Evaluation

```@autodocs
Modules = [JunctionTrees]
Pages = ["partial_evaluation.jl"]
Public = false
```

## Abstract Trees

```@autodocs
Modules = [JunctionTrees]
Pages = ["tree.jl"]
Public = false
```

## Utils

```@autodocs
Modules = [JunctionTrees]
Pages = ["utils.jl"]
Public = false
```
